# Manual do usuario de &kde;

Stephan
Kulow

    coolo@kde.org

2007-09-28
O sistema de escritorio K
kde4-config
1

# `kde4-config`

Imprime as rotas de instalación de &kde;

    kde4-config --expandvars --prefix --exec-prefix --libsuffix --localprefix --version --types --path tipo --userpath tipo --install tipo

## Descrición

kde4-config é un programa da liña de comandos que se emprega para obter información acerca da instalación de &kde; ou das rotas do usuario.

Empregue este programa para determinar onde están os distintos elementos da instalación de &kde; no sistema.

## Opcións

`--expandvars`

  expande ${prefix} e ${exec_prefix} na saída

`--prefix`

  Prefixo compilado para as bibliotecas de &kde;

`--exec-prefix`

  O exec_prefix compilado das bibliotecas de &kde;

`--libsuffix`

  O sufixo compilado da rota da biblioteca

`--localprefix`

  O prefixo en $`HOME` empregado para escreber os ficheiros

`--version`

  A cadea de versión compilada das bibliotecas de &kde;

`--types`

  Mostra unha lista de todos os tipos de recurso de &kde; disponíbeis

`--path tipo`

  Rota de busca do tipo especificado

`--userpath tipo`

  Rotas de usuario para os tipos: desktop|autostart|trash|document

`--install tipo`

  Prefixo onde instalar os ficheiros do recurso

## Exemplos

Imprime o directorio superior da instalación de &kde;:

&percnt;``kde4-config --prefix``

Imprime unha lista con todos os tipos de recurso:

&percnt;``kde4-config --types``

Imprime a rota do fondo de escritorio instalado:

&percnt;``kde4-config --path wallpaper``

## Consulte tamén

kdeoptions(7)

## Erros

Nengún coñecido.